Bug 107712 - Unable to choose 1400x1050 resolution for laptop
Unable to choose 1400x1050 resolution for laptop
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-22 08:58 EDT by Kees
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 07:01:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kees 2003-10-22 08:58:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030908

Description of problem:
I've got a NEC Versa P520 laptop that won't work at it's default resolution of
Looks like it's maybe a problem in the i810 drivers just not supporting the
Anyway, I also chose Generic LCD 1400x1050 during installation. Changing the
XF86-Config manually or using 'change resolution' in the menu afterwards also
didn't work. It's always 1280x1024 or 1024x786. Problem is still there, also in
the latest fedora core (test 3).
Tell me if you need the X11 logs or anything else.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Kees 2003-11-06 08:36:17 EST
Seems that the problem is indeed the i810 driver. It checks the BIOS
for supported video modes. It seems that 1400x1050 is not in that list
of supported video modes. The reason this resolution does work in
windows is that the windows driver doesn't ask the BIOS but has its
own detecting routines I guess.
I don't know if the problem lies with NEC or the i810 driver.
Intel provided a new VBIOS which seems to solve the problem, but
laptop manufacturers should still roll that new VBIOS into their own BIOS.
Think this bug won't be fixed in months...
Comment 2 Nick Marsh 2003-11-09 15:11:29 EST
What kinda of video card is this? I had the same problem (with ATI
cards) and I discovered that anaconda was detecting my card as the
right vendor but the wrong model. 1 quick change to the driver and I
was able to get 10400x1050.
Comment 3 Kees 2003-11-10 10:59:06 EST
00:02.0 VGA compatible controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02) (prog-if 00 [VGA])
        Subsystem: NEC Corporation: Unknown device 81ec
        Flags: bus master, fast devsel, latency 0, IRQ 10
        Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Memory at d0000000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at de00 [size=8]
        Capabilities: <available only to root>
00:02.1 Display controller: Intel Corp. 82852/855GM Integrated
Graphics Device (rev 02)
        Subsystem: NEC Corporation: Unknown device 81ec
        Flags: fast devsel
        Memory at 20000000 (32-bit, prefetchable) [disabled] [size=128M]
        Memory at 28000000 (32-bit, non-prefetchable) [disabled]
        Capabilities: <available only to root>
Comment 4 Brent Fox 2004-02-19 21:33:49 EST
Changing component to XFree86 since it looks like it's a driver problem.
Comment 5 Mike A. Harris 2004-02-20 06:33:19 EST
This problem is twofold:

1) The Intel i810 video driver uses the VESA BIOS to program vidoe
   modes, and is thus strictly limited to using whatever modes the
   BIOS has had built into it.

2) This is not a bug, but rather just a limitation of the current
   Intel driver's video hardware support.  In order to bypass this
   limitation requires having detailed technical specifications
   for Intel's graphic chipsets in order to program the mode
   timings directly into the chipset rather than having to go
   through the BIOS, which is what the Windows video drivers do.

Unfortunately, Intel has not provided patches for the i810 driver
to enable manual programming of the mode setting hardware, and
the technical specifcations that would be required for this
support to be implemented by open source developers, has not
been made publically available.

The downside of this problem, is that there is nothing we can
do to improve support in this driver for native mode switching
until Intel updates the driver and provides patches to the X
development community, or provides the necessary specifications
for someone in the community to do the work improving the driver
in a future release of X.

While this isn't really a solution, about all I can recommend
for now, is for people who experience this problem to contact
their laptop vendors, and politely request that they provide
better hardware support for the Linux operating system.

Closing as 'UPSTREAM' for the time being, as we have no way
of supporting this without it being done upstream first.
Comment 6 Mike A. Harris 2004-09-01 07:01:42 EDT
While at the Ottawa Linux Symposium this year, I learned that the
reason the Intel driver uses the video BIOS VBE routines for
setting video mode, is because Intel does not own all of the
intellectual property in their integrated graphics solutions, and
thus they do not have the legal right to provide the documentation
or source code to developers to write the code to program the video
mode directly.  Likewise, they can not contribute code to do this
either, presumeably without violating NDA agreements.

As such, all hardware using Intel integrated graphics chipsets,
will be limited to the video modes supported by the video BIOS
more or less perpetually under Linux/X11 systems.  If a video mode
is not supported by the BIOS, then it unfortunately will not
be available to X11 to use, and there is no way to workaround this
issue in the X driver, so it will more or less never be fixed
in the future on the X11 side of things.

The only way laptops will work with X11 at their native resolution,
is if their video BIOS supports the native resolution in it's VBE
implementation.  This burden is unfortunately upon the manufacturer
of the laptop to ensure their video BIOS supports their native
resolution in VBE.  Without this support directly in the BIOS from
the hardware vendor, there is no solution to this problem unless
Intel is able to provide source code or specifications in the
future to enable the BIOS limitation to be worked around directly
in the Intel video driver.

Setting status to "WONTFIX"

Note You need to log in before you can comment on or make changes to this bug.